Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.binding.xml
Class UDA10DeviceDescriptorBinderSAXImpl.IconListHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.teleal.common.xml.SAXParser.Handler<I>
              org.teleal.cling.binding.xml.UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<List<MutableIcon>>
                  org.teleal.cling.binding.xml.UDA10DeviceDescriptorBinderSAXImpl.IconListHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

Enclosing class:
  UDA10DeviceDescriptorBinderSAXImpl

    protected static class UDA10DeviceDescriptorBinderSAXImpl.IconListHandler

extends UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<List<MutableIcon>>

Field Summary
`static Descriptor.Device.ELEMENT` | `EL`

Fields inherited from class org.teleal.common.xml.SAXParser.Handler
`characters, instance, parent, parser`

Constructor Summary
`UDA10DeviceDescriptorBinderSAXImpl.IconListHandler(List<MutableIcon> instance, UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler parent)`

Method Summary
`boolean` | `isLastElement(Descriptor.Device.ELEMENT element)`
`void` | `startElement(Descriptor.Device.ELEMENT element, Attributes attributes)`

Methods inherited from class org.teleal.cling.binding.xml.UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler
`endElement, endElement, isLastElement, startElement`

Methods inherited from class org.teleal.common.xml.SAXParser.Handler
`characters, getCharacters, getInstance, getParent, getParser, switchToParent`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EL

    public static final Descriptor.Device.ELEMENT EL

Constructor Detail

### UDA10DeviceDescriptorBinderSAXImpl.IconListHandler

    public UDA10DeviceDescriptorBinderSAXImpl.IconListHandler(List<MutableIcon> instance,
                                                              UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler parent)

Method Detail

### startElement

    public void startElement(Descriptor.Device.ELEMENT element,
                             Attributes attributes)
                      throws SAXException

  Overrides:
    `startElement` in class `UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<List<MutableIcon>>`
  Throws:
    `SAXException`

### isLastElement

    public boolean isLastElement(Descriptor.Device.ELEMENT element)

  Overrides:
    `isLastElement` in class `UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<List<MutableIcon>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.